@import url(contact.css);
*{
    min-width: 0;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
}
body {
    width: 100%;
    overflow-x: hidden;
}
:root{
    --background: hsl(300 50% 100%);
    --base-varient: hsl(300 0% 95%);
    --text-color: hsl(0, 0%, 5%);
    --secondary-text: hsl(0, 0%, 35%);
    --accent-color: hsl(220, 90%, 56%);
    --box-shadow: 0px 4px 4px #00000030, 0px 12px 12px #00000015;
    --border: hsl(340 0% 82%);
    --highlight: hsl(300 50% 100%);
    --primary: hsl(357 44% 32%);
    --primary-text: hsl(300 0% 95%);
    --secondary: hsl(183 100% 9%);
}
    .darkmode {
    --background: hsl(222 55% 5%);
    --base-varient: hsl(220 35% 10%);
    --text-color: hsl(300 0% 95%);
    --secondary-text: hsl(300 0% 69%);
    --accent-color: hsl(220, 90%, 56%);
    --box-shadow: 0px 4px 4px #b4b4b430, 0px 12px 12px #a7a1a115;
    --border: hsl(0 0% 8%);
    --highlight: hsl(330 0% 19%);
    --primary: hsl(0 66% 75%);
    --primary-text: hsl(0, 0%, 5%);
    --secondary: hsl(183 52% 57%);
    }
/* navbar styles */
.navbar{
    position: fixed;
    top: 30px;
    left: 50%;
    transform: translateX(-50%);
    width: min(1100px, calc(100% - 40px));
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 2px solid var(--border);
    padding: 10px 30px;
    border-radius: 20px;
    background-color: var(--base-varient);
    box-shadow: var(--box-shadow);
    z-index: 1000;
    min-width: 0;
}
.nav-links{
    display: flex;
    align-items: center;
    gap: 40px;
    transition: all 300ms ease-in-out;
}
.nav-links a{
    font-size: 2rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
}
.Brand {
    display: inline-block;
    color: var(--text-color);
    font-size: 2.3rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 600;
    transition: transform 0.3s ease;
}
.Brand:hover {
    transform: translateX(5px);
}
.home {
    color: var(--text-color);
}
.links{
    color: var(--secondary-text);
    border-bottom: 2px solid transparent;
    transition: all 0.3s ease;
}
.links:hover{
    color: var(--text-color);
    border-bottom: 2px solid var(--text-color);
}
.menu-btn {
    display: none;
    flex-direction: column;
    gap: 6px;
    background: none;
    border: none;
    cursor: pointer;
}
.menu-btn span {
    display: block;
    width: 28px;
    height: 3px;
    margin: 5px auto;
    background-color: var(--text-color);
    border-radius: 10px;
    transition: all 0.3s ease;
}
.nav-links.active {
    display: flex;
    transition: all 300ms ease-in-out;
}
.menu-btn.active span:nth-child(2) {
    opacity: 0;
}
.menu-btn.active span:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}
.menu-btn.active span:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}
    @media (max-width: 1495px) {
        .nav-links {
            gap: 30px;
        }
        .nav-links a{
            font-size: 1.8rem;
        }
        .Brand {
            font-size: 2.1rem;
        }
    }
    @media (max-width: 1321px) {
        .nav-links {
            gap: 20px;
        }
        .nav-links a {
            font-size: 1.5rem;
        }
        .Brand {
            font-size: 1.8rem;
        }
    }
    @media (max-width: 1241px) {
        .nav-links {
            gap: 10px;
        }
        .nav-links a {
            font-size: 1.1rem;
        }
        .Brand {
            font-size: 1.5rem;
        }  
    }
    @media (max-width: 1157px) {
        .navbar {
            max-width: calc(100% - 40px);
        }
        .nav-links {
            display: none;
            flex-direction: column;
            align-items: center;
            gap: 2rem !important;
            position: absolute;
            height: 100vh;
            width: 250px;
            top: 0;
            right: 0;
            padding: 5rem 1.5rem;
            backdrop-filter: blur(20px);
            border-radius: 20px;
            background-color: var(--base-varient);
            box-shadow: var(--box-shadow);
        }
        .nav-links a{
            color: var(--text-color) !important;
            font-size: 30px;
        }
        .home {
            background-color: var(--background);
            padding: 10px 35px;
            border-radius: 15px;
        }
        .Brand {
            font-size: 1.3rem;
        }
        .menu-btn {
            display: block;
            z-index: 1000;
        }
        .links {
            margin-bottom: 10px;
        }
    }
@media (max-width: 900px) {
    .hero {
        flex-direction: column;
        text-align: center;
    }

    .text {
        max-width: 600px;
    }

    .dark {
        top: auto;
        bottom: 25px;
        right: 25px;
    }
    .nav-links a {
        font-size: 20px;
        font-weight: 900;
    }
}
@media (max-width: 227px) {
    .Brand {
        font-size: 1rem;
    }
}
/* mother */
.mother {
    flex-direction: column;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    height: auto;
    padding: 160px 20px 40px;
    min-width: 100%;
    width: 100%;
    background-color: var(--background);
    padding-top: 140px;
}

/* hero section */
.hero {
    display: flex;
    align-items: center;
    border: 2px solid var(--border);
    border-top: 2px solid var(--highlight);
    gap: clamp(30px, 6vw, 150px);
    padding: clamp(30px, 6vw, 110px);
    max-width: 1200px;
    background-color: var(--base-varient);
    box-shadow: var(--box-shadow);
    border-radius: 25px;
    opacity: 0;
    margin-bottom: 100px;
    transition: all 300ms ease-in-out;
    animation: showUp 1.5s forwards;
}
@keyframes showUp {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
.hero:hover {
    transform: scale(1.009);
}
.image img{
    width: min(600px, 80vw);
    max-width: 100%;
    height: auto;
    border-radius: 10px;
}
.herotext {
    font-size: clamp(1.3rem, 3vw, 1.9rem);;
    font-family: 'Poppins', sans-serif;
    color: var(--secondary-text);
    margin-bottom: 10px;
}
.name {
    font-size: clamp(1.8rem, 4vw, 2.4rem);
    font-family: 'Poppins', sans-serif;
    color: var(--text-color);
    font-weight: 900;
    margin-bottom: 15px;
}
/* hero section (links) */
.linkss {
    margin-top: 50px;
    display: flex;
    align-items: center;
    gap: clamp(20px, 5vw, 50px);
}
.projects-btn {
    cursor: pointer;
    border-radius: 15px;
    padding: clamp(12px, 3vw, 18px) clamp(18px, 5vw, 26px);
    background-color: var(--primary);
    transition: all 200ms ease-in-out;
}
.projects-btn:hover {
    transform: translateY(-5px);
}
.projects-btn:active {
    transform: translateY(0px);
}
.projects-btn{
    font-family: 'Poppins', sans-serif;
    color: var(--primary-text);
    font-weight: 500;
}
.contact-btn {
    cursor: pointer;
    background-color: var(--secondary);
    padding: clamp(12px, 3vw, 18px) clamp(18px, 5vw, 26px);
    border-radius: 15px;
    transition: all 200ms ease-in-out;
    font-family: 'Poppins', sans-serif;
    color: var(--primary-text);
    font-weight: 500;
}
.contact-btn:hover {
    transform: translateY(-5px);
}
.contact:active {
    transform: translateY(0px);
}
@media (max-width: 900px) {
    .linkss{
        justify-content: center;
    }
}
/* light - dark mode */
.dark {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 30px;
    right: 50px;
    padding: 0;
    height: 70px;
    width: 70px;
    border-radius: 50%;
    border: none;
    background-color: var(--base-varient);
    color: var(--secondary-text);
    box-shadow: var(--box-shadow);
    cursor: pointer;
    transition: all 150ms ease-in;
}
.dark:hover {
    transform: translateY(-5px);
}
.dark:active{
    transform: translateY(0px);
}
.dark svg {
    fill: var(--secondary-text);
}
.dark svg:last-child {
    display: none;
}
.dark svg:first-child {
    display: block;
}
.darkmode .dark svg:first-child {
    display: none;
}
.darkmode .dark svg:last-child {
    display: block;
}
@media (max-width: 1461px) {
    .dark{
        top: auto;
        bottom: 30px;
    }
}
@media (max-width: 430px) {
    .dark {
        display: none;
    }
    .dark.active{
        display: flex;
        z-index: 1000;
    }
}
/* social-links */
.social-links a {
    cursor: pointer;
    color: var(--secondary-text);
    font-size: 25px;
    transition: all 300ms ease-in-out;
}
.social-linkss {
    display: flex;
    gap: 25px;
    margin-top: clamp(10px, 5vw, 30px);
}
.social-linkss a {
    display: inline-block;
    cursor: pointer;
    color: var(--secondary-text);
    font-size: clamp(20px, 4vw, 40px);
    transition: all 300ms ease-in-out;
}
.social-linkss a:hover {
    color: var(--text-color);
    transform: translateY(-5px);
}
.social-links {
    gap: 25px;
    display: flex;
    position: absolute;
    bottom: 3%;
}
.icon::after {
    font-family: 'Poppins', sans-serif;
    font-weight: 500; 
    content: attr(data-tooltip);
    position: absolute;
    bottom: 170%;
    left: 50%;
    transform: translateX(-50%) translateY(5px);
    background-color: var(--base-varient);
    color: var(--text-color);
    padding: 6px 12px;
    font-size: 1.2rem;
    border-radius: 8px;
    white-space: nowrap;
    opacity: 0;
    pointer-events: none;
    box-shadow: var(--box-shadow);
    transition: all 0.25s ease;
}

.icon:hover::after,
.icon:hover::before {
    opacity: 1;
    transform: translateX(-50%) translateY(0);
}
.icon:hover {
    color: var(--text-color);
}
@media (max-width: 900px) {
    .social-links {
        display: none;
    }
}
.owner {
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
    color: var(--secondary-text);
    position: absolute;
    bottom: 20px;
    left: 10px;
}
.owner::before {
    content: '';
    display: inline-block;
    width: 6px;
    height: 6px;
    margin-right: 8px;
    background-color: var(--accent-color);
    border-radius: 50%;
    animation: pulse 2s infinite;
}
@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 1;
    }
    50% {
        transform: scale(1.5);
        opacity: 0.5;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}
@media (max-width: 900px) {
    .owner {
        bottom: 10px;
        left: 8px;
        font-size: 9px;
    }    
}